<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'enrol_imsenterprise', language 'en_us_k12', version '2.9'.
 *
 * @package     enrol_imsenterprise
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['allowunenrol_desc'] = 'If enabled, class enrollments will be removed when specified in the Enterprise data.';
$string['coursesettings'] = 'Class data options';
$string['createnewcategories'] = 'Create new (hidden) class categories if not found in Moodle';
$string['createnewcategories_desc'] = 'If the <org><orgunit> element is present in a class\'s incoming data, its content will be used to specify a category if the class is to be created from scratch. The plugin will NOT re-categorize existing classes.

If no category exists with the desired name, then a hidden category will be created.';
$string['createnewcourses'] = 'Create new (hidden) classes if not found in Moodle';
$string['createnewcourses_desc'] = 'If enabled, the IMS Enterprise enrollment plugin can create new classes for any it finds in the IMS data but not in Moodle\'s database. Any newly-created classes are initially hidden.';
$string['settingfullname'] = 'IMS description tag for the class full name';
$string['settingfullnamedescription'] = 'The full name is a required class field so you have to define the selected description tag in your IMS Enterprise file';
$string['settingshortname'] = 'IMS description tag for the class short name';
$string['settingshortnamedescription'] = 'The short name is a required class field so you have to define the selected description tag in your IMS Enterprise file';
$string['settingsummary'] = 'IMS description tag for the class summary';
$string['settingsummarydescription'] = 'Is an optional field, select \'Leave it empty\' if you dont\'t want to specify a class summary';
$string['truncatecoursecodes'] = 'Truncate class codes to this length';
$string['truncatecoursecodes_desc'] = 'In some situations you may have class codes which you wish to truncate to a specified length before processing. If so, enter the number of characters in this box. Otherwise, leave the box blank and no truncation will occur.';
